package Net::DNS::RR::CDNSKEY;

use strict;
use warnings;
our $VERSION = (qw$Id: CDNSKEY.pm 1857 2021-12-07 13:38:02Z willem $)[2];

use base qw(Net::DNS::RR::DNSKEY);



use integer;


sub algorithm {
	my ( $self, $arg ) = @_;
	return $self->SUPER::algorithm($arg) if $arg;
	return $self->SUPER::algorithm() unless defined $arg;
	@{$self}{qw(flags protocol algorithm)} = ( 0, 3, 0 );
	return;
}


sub key {
	my $self = shift;
	return $self->SUPER::key(@_) unless defined( $_[0] ) && length( $_[0] ) < 2;
	return $self->SUPER::keybin( $_[0] ? '' : chr(0) );
}


1;
__END__


